DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementObjectValid

Verify an object ID

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementObjectValid ( measurement, featureID, objectID, verdict )

## FUNCTION

This function determines whether the object ID `objectID`, belonging to the measurement function ID `featureID`, is a valid object ID, by comparing `objectID` to the object IDs belonging to the `featureID` in `measurement`. If `verdict` is not zero, the result (`DIP_TRUE` or `DIP_FALSE`) is stored in `verdict`, otherwise an error is returned in case the verification fails.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `objectID` | Object ID
`dip_Boolean *` | `verdict` | Pointer to a boolean contaning the validation verdict

## SEE ALSO

`Measure`, `MeasurementNew`, `MeasurementObjects`, `MeasurementObjectData`, `MeasurementObjectValue`